package it.unitn.prog2.treni;

public class Main {

    public Main() {
        System.out.println("Programma iniziato...");
        System.out.println("Treno da Roma Termini a Milano Centrale,\n"
                + "il 27 marzo - codice: MBHJHG67.");
        Treno t = new Treno("MBHJHG67", new Data(27, 3, 2018), 
                new RomaTermini(), new MilanoCentrale(), 50.25);
        // Non e' necessario invocare "toString()" esplicitamente
        // in questo caso; non verra' piu' fatto da qui in avanti
        System.out.println("--> [" + t.toString() + "]");
        System.out.println("stampaBiglietto():");
        t.stampaBiglietto();
        System.out.println("Treno ad alta velocita', da Milano Centrale a Roma Termini,\n"
                + "il 27 marzo - codice MCHGTW9");
        TrenoAV tav = new TrenoAV("MCHGTW9", new Data(27, 3, 2018), new MilanoCentrale()
                , new RomaTermini(), 15);
        System.out.println("--> [" + tav + "]");
        System.out.println("stampaBiglietto():");
        tav.stampaBiglietto();
        System.out.println("Treno regionale, da Trento a Firenze Santa Maria Novella,\n"
                + "il 31 marzo - codice WCHX3W9");
        TrenoReg treg = new TrenoReg(new Data(31, 5, 2018), "WCHX3W9", new Data(31, 3, 2018),
                new Trento(), new FirenzeSantaMariaNovella(), 190.03);
        System.out.println("--> [" + treg + "]");
        treg.stampaBiglietto();
        System.out.println("Treno ad alta velocita', da Trento a Milano Centrale,\n"
                + "il 27 marzo - codice MQQGTW9");
        tav = new TrenoAV("MQQGTW9", new Data(27, 3, 2017), new Trento()
                , new MilanoCentrale(), 15);
        System.out.println("Prima del controllo: [" + tav + "]");
        tav.controllaValidita();
        System.out.println("Dopo il controllo: [" + tav + "]");
                System.out.println("Treno regionale, da Trento a Firenze Santa Maria Novella,\n"
                + "il 31 marzo - codice WCHX3W9");
        treg = new TrenoReg(new Data(31, 5, 2017), "WCQX3Z9", new Data(31, 3, 2017),
                new Trento(), new RomaTermini(), 195.03);
        System.out.println("Prima del controllo: [" + treg + "]");
        treg.controllaValidita();
        System.out.println("Dopo il controllo: [" + treg + "]");
        System.out.println("...programma terminato.");
    }

    public static void main(String[] args) {
        Main m = new Main();
    }
}
