package it.unitn.prog2.treni;

public class TrenoAV extends Treno {

    public TrenoAV(String codice, Data dataViaggio, Stazione partenza, Stazione arrivo, double prezzo) {
        super(codice, dataViaggio, partenza, arrivo, prezzo);
    }

    // Metodi alternativi
    
    //1 - modificare il costruttore
    /*
    public TrenoAV(String codice, Data dataViaggio, Stazione partenza, Stazione arrivo, double prezzo) {
        super(codice, dataViaggio, partenza, arrivo, prezzo);
        this.prezzo *= 1.3;
    }
    */
    
    // 2 - modificare il getter
    @Override
    public double getPrezzo() {
        return prezzo *= 1.3;
    }

        // 3 - modificare la toString()
    /*
    @Override
    public String toString() {
    String s = "";
    s += "COD-" + codice + " ";
    s += "il " + dataViaggio + " ";
    s += "da " + partenza + " ";
    s += "a " + arrivo;
    s += "@ " + prezzo * 1.3 + "€";
    return s;
    }
     */
    
    @Override
    public void controllaValidita() {
        if (getDataViaggio().getDifference(new Data()) != 0) {
            System.out.println("Biglietto non valido!");
            prezzo *= 1.5;
        } else {
            System.out.println("Biglietto valido.");
        }
    }
}
